# ratectl.h File Reference

`#include <opal/buildopts.h>`
`#include <rtp/rtp.h>`
`#include <deque>`

Include dependency graph for ratectl.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | PWLibStupidLinkerHacks

## Data Structures

class | OpalBitRateCalculator
struct | OpalBitRateCalculator::History
class | OpalVideoRateController
struct | OpalVideoRateController::PacketEntry

## Functions

double | OpalCalcSNR (const BYTE *src1, const BYTE *src2, PINDEX dataLen)

## Variables

int | PWLibStupidLinkerHacks::rateControlKickerVal

## Function Documentation

double OpalCalcSNR | ( | const BYTE * | src1,
|  | const BYTE * | src2,
|  | PINDEX | dataLen |
| ) |  |  |